#define NAME_LEN 128
#define DATA_LEN 256

#pragma region Simple communication protocol

#pragma pack(push)
#pragma pack(1)
typedef enum
{
	//////////////////////////////////////////////////////////////////////////
	// ˣٳϢ;		ͻ˷أɹ/ʧ
	S2C_BEGIN_HIJACK,
	// ˣָϢ;		ͻ˷أɹ/ʧ;
	S2C_END_HIJACK,
	//\ ˣConnectϢ;		ͻ˷أɹ/ʧ;
	S2C_CONNECT,
	//\ ˣDisconnectϢ;		ͻ˷أɹ/ʧ;
	S2C_DISCONNECT,
	//\ ˣCheckFWϢ;		ͻ˷أɹ/ʧ;
	S2C_CHECKFW,
	//\ ˣGoϢ;				ͻ˷أɹ/ʧ;
	S2C_GO,

	//////////////////////////////////////////////////////////////////////////
	// ͻˣDisconnect;
	C2S_DISCONNECT,
	// ͻˣConnect;ɹ/ʧ;
	C2S_CONNECT,
	// ͻˣCheckFW; ɹ/ʧ;	ɹ->˶ȡǰ汾;
	C2S_CHECKFW,
	// ͻˣGo;ɹ/ʧ; ɹ->ʱֵĿ¼
	C2S_GO,
	// ͻˣ쳣ʱ֪ͨ˽;
	C2S_EXCEPTION,
};

typedef struct _HEADER_
{
	// Эʶ;
	BYTE	byProtocol;
	// Э;
	DWORD	dwPackageLen;
	// Ϣ;
	BYTE	byMsgType;
	_HEADER_()
	{
		byProtocol = 0xAC;
		dwPackageLen = 0;
		byMsgType = 0;
	}
}DATAHEADER, *LPDATAHEADER;

// 
typedef struct _PACKAGE_ {
	DATAHEADER	header;
	//BYTE		buf[4]; // (ַָ);
	LPVOID		buf;
}PACKAGE, *LPPACKAGE;

typedef struct _MSG_INFO_
{
	// ͻID;
	DWORD	dwClientId;
	// ͻ;
	TCHAR	szClientName[NAME_LEN];
	// ťִн;
	BYTE	byResult;
	// ť;
	BYTE	byData[DATA_LEN];
	_MSG_INFO_()
	{
		byResult = 0;
		dwClientId = 0;
		memset(byData, 0, DATA_LEN);
		memset(szClientName, 0, sizeof(TCHAR)*NAME_LEN);
	}
}MSG_INFO,*LPMSG_INFO;

#pragma pack(pop)
#pragma endregion ͨЭ